qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Moseley <moseleym...@gmail.com>
Subject Re: Beginner - Need help (Basics)
Date Fri, 06 May 2011 21:27:55 GMT
On Fri, May 6, 2011 at 1:32 PM, Nathan Sevugan <nathansevugan@gmail.com> wrote:
> Steve,
>
> I have version 0.10 of qpidd cpp server built and running.
>
> Connection URL:
> amqp://guest:guest@clientid/test?brokerlist='tcp://localhost:5672' - java
> client still fails
> with the error: "The following SASL mechanisms [PLAIN] specified by the
> client are not supported by the broker"
>
> I am using the following java maven snippet for the client.
> POM dependency
>  <dependency>
>            <groupId>org.apache.qpid</groupId>
>            <artifactId>qpid-client</artifactId>
>            <version>0.10</version>
>  </dependency>
>
>
> Your JIRA link had an svn patch for the java client 0.80. Hope that is
> already rolled into the 0.10 version of the client.
> Thanks for your assistance.
>
> Nathan

If you've started the broker with "auth=no", you might try not passing
in a username:password string to the connection URL, i.e. take out
"guest:guest@"

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message